// Goldleaf Adapter Sleeve
// - Centers the 28mm Goldleaf button in a 30mm hole.

/////////////////////////////
//      Define variables
/////////////////////////////

SleeveOuterDiameter = 30;
SleeveInnerDiameter = 28;
SleeveHeight = 12;

// The inner diameter value may need to be *very slightly* larger to account for the 180-sided polygon used to render circles -- see "undersized holes" at https://en.wikibooks.org/wiki/OpenSCAD_User_Manual/Primitive_Solids#cylinder

$fn=180; // Number of fragments (polygon sides) used to render a circle

/////////////////////////////
//      Make the part
/////////////////////////////

// Make the part
difference() {
// Outer cylinder minus inner cylinder and gap

    cylinder(SleeveHeight, d=SleeveOuterDiameter, center=true);
    // Outer cylinder

    cylinder(SleeveHeight + 1, d=SleeveInnerDiameter, center=true);
    // Inner cylinder

    translate([0, SleeveOuterDiameter/2, 0])
    cube ([2, 5, SleeveHeight + 1], center=true);
    // Gap

}
//